Printago API
PUT /v1/orders/items/{itemId}

Update an order item

Requires: order.edit

Path Parameters

itemId required
string
The order item's unique identifier

Request Body

Fields to update on the order item

PartialOrderItemUpdate
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptional
string
externalOrderIdoptional
string
externalProductIdoptional
string
externalSkuoptional
string
ignoredoptional
boolean
inputsoptional
Record<string, any>
originalSkuoptional
string
Original SKU identifier sent when creating the order item (sku or externalSku), null if skuId was provided directly
processedAtoptional
string
processedStatusoptional
any
quantityoptional
number
min: 1
resolutionNoteoptional
object
Describes why SKU or variant resolution failed, null when resolved successfully
skuConfigoptional
object
sourceoptional
any
statusoptional
string

Example Request

application/json
{
  "customMetadata": {},
  "quantity": 1
}

Response Schema

OrderItem
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptional
string
externalOrderIdoptional
string
externalProductIdoptional
string
externalSkuoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
ignoredoptional
boolean
inputsoptional
Record<string, any>
orderIdrequired
string
pattern: ^[a-z0-9]{24}$
originalSkuoptional
string
Original SKU identifier sent when creating the order item (sku or externalSku), null if skuId was provided directly
processedAtoptional
string
processedStatusoptional
any
quantityrequired
number
min: 1
resolutionNoteoptional
object
Describes why SKU or variant resolution failed, null when resolved successfully
skuConfigoptional
object
skuIdrequired
string
sourceoptional
any
statusoptional
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "orderId": "string",
  "quantity": 1,
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.818Z",
  "updatedAt": "2026-09-09T20:31:46.818Z"
}